Skip to main content
PUT
/
api
/
finance
/
non-billable
/
{id}
Updates an existing non-billable code.
curl --request PUT \
  --url https://{install}/api/finance/non-billable/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "code": "<string>",
  "name": "<string>",
  "description": "<string>",
  "group": [
    "<string>"
  ],
  "active": true,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

Body

The non-billable code with updated values.

entity
null | string
code
string
name
string
description
string
group
string[]
active
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Non-billable code updated successfully.